Retrieves all the locations

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "87e34a46-f64e-4fc5-9814-86629aaae79f",
  "_parent_id": "e2a87c4c-5788-402e-95aa-5587556ab3dd",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "004ca772-ec0d-468e-b672-14013773a0a3",
  "company_id": "7b24733d-a8c3-47bf-8404-44eb1956c26c",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "6f4d1372-aae8-43fb-8ffc-3cd1f67a4a5e",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "b4110250-c981-4d8e-8411-b10719b7bfc6",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "d40cc947-9c43-4b95-9490-be6dbb0b6e64",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "2a8d7876-acbe-491c-a580-61db50b5d1f9",
    "company_code": "sample string 5",
    "company": {
      "id": "fb53f097-e552-4464-9b8d-77a919af40c6",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-09-18T06:20:30.0362717+00:00",
      "sales_territory_id": "424ab54c-0f8f-4479-9744-ff1e061c58a1",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "a596771e-a86c-4f00-95fa-b0d4c09ed099",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "3d1d91dd-319d-4965-b1a3-0e46d977ae69",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "f259279c-d73f-476d-a85c-dea2c3c79567",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "cb44f275-163f-48a3-8888-7a4f614deab3",
          "db_currency_id": "36b2fc0f-9c63-4d45-8bc6-f32340ffc94c",
          "db_language_id": "ba031474-e6bc-4cf7-8307-bc9226a9df7e",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-09-18T06:20:30.0362717+00:00"
        },
        "modified_dateutc": "2026-09-18T06:20:30.0362717+00:00"
      },
      "marketing_segment_id": "365ba05f-1f7c-454e-9ad8-cd76eeb514ba",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "da785fb8-18f2-4712-a47b-a4c38711848a",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "51e4b698-2945-4cb7-972d-8b0825bc5edf",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "bc29e430-0d81-451b-8270-61e48e0d9693",
      "db_country_code": "sample string 28",
      "feelist_id": "4667ed35-89f9-43ba-b503-d84fb8a5c35c",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "37a8ccc2-1017-4a89-be2a-9a2973b6c6b3",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "03609143-d1bb-48f6-bfb6-51ac12b8f4bf",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-09-18T06:20:30.0362717+00:00",
        "db_currency_id": "a3a9c779-ba14-44e8-a28c-748b25790fca",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "d2a2fbac-ec67-42ab-b1d4-99773cce3c4b",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "816aca95-5fb7-4afa-b2ad-9cb8451c84d5",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "ebe2c7fb-29c2-48c5-b84b-8250a181ca1d",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "574eb732-474a-41a0-b798-1c6e90b2b57c",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "c3a512aa-efe3-4e18-a781-926038954ce3",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "7f43c898-6eb0-49ae-af58-9c0782ef4eab",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "177dae00-36da-4e29-84f8-bea06ae06b9d",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-09-18T06:20:30.0362717+00:00"
      },
      "company_sector_id": "05995c9b-e963-48fd-b1af-7760952da05c",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "36ef2b8a-7a6f-4cb3-be73-4e7478184236",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "622c9827-9c18-47de-87c3-2a1d788f9547",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "07a36de5-bda6-40c4-851d-48b1475a7de5",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "f306d680-3845-41ce-b0ef-eda26da9dc2d",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-09-18T06:20:30.0362717+00:00",
      "id2": 60
    },
    "db_language_id": "41ea74a6-adab-4295-9f2b-6a9dd6de6075",
    "db_language_code": "sample string 7",
    "db_title_id": "1ef6259d-68c6-4ce1-940b-407b4794071b",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-09-18T06:20:30.0362717+00:00",
    "create_date": "2026-09-18T06:20:30.0362717+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-09-18T06:20:30.0362717+00:00"
  },
  "modified_dateutc": "2026-09-18T06:20:30.0362717+00:00",
  "id2": 22
}